This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 174096 - Hotplugged Firewire HDD sometimes not detected
Hotplugged Firewire HDD sometimes not detected
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-24 09:39 EST by Bernd Bartmann
Modified: 2015-01-04 17:23 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:41:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bernd Bartmann 2005-11-24 09:39:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
When I power on my external Firewire HDD it is sometimes not detected. All I see is message "ieee1394: Error parsing configrom for node 0-00:1023". Looking at /proc/scsi/scsi I sometimes see the disk and sometimes not. When the disk is powered on during boot it is always detected.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. hotplug a Firewire HDD
2.
3.
  

Additional info:
Comment 1 Stefan Richter 2006-02-14 14:07:20 EST
There were a few fixes related to recognition of FireWire devices going into
Linux 2.6.14 and 2.6.15. Try the latest release.

(I am not an FC user myself, therefore do not know which kernel you are actually
using...)
Comment 2 Rahul Sundaram 2006-02-20 06:31:16 EST

These bugs are being closed since a large number of updates have been released
after the FC5 test1 and test2 releases. Kindly update your system by running yum
update as root user or try out the third and final test version of FC5 being
released in a short while and verify if the bugs are still present on the system
.Reopen or file new bug reports as appropriate after confirming the presence of
this issue. Thanks
Comment 3 Bernd Bartmann 2006-02-20 15:59:27 EST
The problem still exists on FC5T3.
Comment 4 Stefan Richter 2006-02-21 15:35:37 EST
Please post the portion of /var/log/syslog (or what ever log file gets the
kernel messages) from a failing session.
Comment 5 Bernd Bartmann 2006-02-21 15:40:50 EST
As already stated above all I see in /var/log/messages is:

ieee1394: Error parsing configrom for node 0-00:1023
Comment 6 Stefan Richter 2006-02-21 16:12:09 EST
What is the kernel version number of FC5T3?

Could you build a kernel from source? If yes, configure it just like the stock
kernel but enable "excessive debugging output" in the IEEE 1394 section. Then
provide the log of a failing session. (Don't do this if you never built an own
kernel yet.)
Comment 7 Dave Jones 2006-02-23 22:00:33 EST
Stefan, test3 was based on 2.6.16rc3-git1
Too bad IEEE1394_VERBOSEDEBUG isn't a module parameter eh? :)
Comment 8 Stefan Richter 2006-02-24 00:55:42 EST
Dave, you've got a point.

Bernd, here are things you could try before recompiling drivers:

1. Install gscanbus and post the information that it can gather.
2. Check which 1394 drivers are loaded ("lsmod"), unload them all with "modprobe
-r _modulename_", then reload them. Check the syslog messages.
3. Same as 2., but load ieee1394 by "modprobe ieee1394 disable_irm=1" before
loading the other 1394 drivers.
Comment 9 Stefan Richter 2006-02-24 01:12:35 EST
PS: Sometimes the "Error parsing configrom for node ..." is either for a
different node (e.g. hub), or sometimes the driver parses the ROM successfully
shortly after this error message. In this case, sbp2 should be loaded
automatically. However if userspace tools (udev, hotplug, hal or whatever) are
not updated for Linux 2.6.14's or later SCSI sysfs change, sbp2 is not loaded
automatically. (See the few other disk detection bugs at this site.) --- In
short, make sure the sbp2 kernel module is loaded to check whether it really is
an issue at driver level, not in userspace.
Comment 10 Bernd Bartmann 2006-02-24 10:42:19 EST
Yes, looks like a userspace issue. After issueing "modprobe sbp2" the drive is
found and I can disconnect and reconnect it without any problems. 
Comment 11 Dave Jones 2006-10-16 15:46:07 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 12 Jon Stanley 2008-01-19 23:41:46 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.